Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderHome

All Superinterfaces
  javax.ejb.EJBHome, Remote, SmartEJBHome, SmartHome

Deprecated

    @Deprecated
    public interface OrderHome

extends SmartEJBHome

The home interface for the Order entity bean. Use this class to create, remove, and find Order entity beans.

Method Summary
`Order` | `create(OrderPk orderPk)` Deprecated Create a new Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.
`Collection` | `findByCustomer(String customerIdentifier)` Deprecated Returns a list of Orders in the system that are associated with the specified Customer identifier.
`Collection` | `findByDate(Date from, Date to)` Deprecated Returns a list of Orders in the system that fall within the given date range.
`Order` | `findByPrimaryKey(OrderPk orderPk)` Deprecated Find an Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.
`Collection` | `findByStatus(String findStatus)` Deprecated Returns an enumeration of all the Orders in the system with the specified status.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    Order create(OrderPk orderPk)
                 throws javax.ejb.CreateException,
                        RemoteException

  Deprecated
  Create a new Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.

  Throws
    `javax.ejb.CreateException`
    `RemoteException`

### findByPrimaryKey

    Order findByPrimaryKey(OrderPk orderPk)
                           throws RemoteException,
                                  javax.ejb.FinderException

  Deprecated
  Find an Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findByStatus

    Collection findByStatus(String findStatus)
                            throws RemoteException,
                                   javax.ejb.FinderException

  Deprecated
  Returns an enumeration of all the Orders in the system with the specified status.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findByCustomer

    Collection findByCustomer(String customerIdentifier)
                              throws RemoteException,
                                     javax.ejb.FinderException

  Deprecated
  Returns a list of Orders in the system that are associated with the specified Customer identifier.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

### findByDate

    Collection findByDate(Date from,
                          Date to)
                          throws RemoteException,
                                 javax.ejb.FinderException

  Deprecated
  Returns a list of Orders in the system that fall within the given date range.

  Throws
    `RemoteException`
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.